EDIT - bug #7617

Specimen TypesDesignations Editor - aus dem Editor heraus neu angelegter CollectionCode nicht
auswahlbar

08/02/2018 05:49 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.2

Severity: major Found in Version:

Description

http:/test.e-taxonomy.eu/cdmserver/phycobank_production/app/registration#!workingset/d547a306-fb43-474d-88df-41a91aedfc29
Holotype und Isotype vorhanden.

Collection NWR, Cardiff (IH Code) nicht im System, deshalb fir Holotypus neu angelegt und gespeichert und Collection-Fenster
geschlossen.

Collection BM, London (IH Code) nicht im System suchbar, deshalb fir Isotype neu angelegt und gespeichert und Collection-Fenster
geschlossen.

Erwartung:

1) neuer CollectionCode ist an der Stelle eingetragen, von der aus ich die neue Collection angelegt habe ODER

2) neuer CollectionCode ist in der Auswahlliste.

Da das nicht der Fall war, habe ich die Specimen gespeichert und neu gedffnet, Erwartung, dass die Collections in der Auswahl sind,
waren sie nicht. Daher Ticket.

Related issues:
Related to EDIT - feature request #7590: findByTitleWithRestrictions allows c... Closed

History

#1 - 08/02/2018 05:52 PM - Wolf-Henning Kusber
Korrektur: Collection NMW, Cardiff (IH Code)

#2 - 08/03/2018 11:35 AM - Wolf-Henning Kusber

Wird vielleicht auf dem Namen gesucht? Namen von Alteintragen sind in der Auswahlliste, wenn ein Code da ist, wird der in Klammern gezeigt.

#3 - 08/03/2018 12:51 PM - Andreas Kohlbecker

It seams as if only collections are found which also have a institute - Restriction OR must be implemented as outer join!

#4 - 08/03/2018 07:51 PM - Andreas Kohlbecker

Andreas Kohlbecker wrote:

It seams as if only collections are found which also have a institute - Restriction OR must be implemented as outer join!, see #7590

#5 - 08/03/2018 07:52 PM - Andreas Kohlbecker
- Related to feature request #7590: findBy TitleWithRestrictions allows combining Restrictions by OR added

#6 - 08/03/2018 07:54 PM - Andreas Kohlbecker

- Status changed from New to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.2

- % Done changed from 0 to 50
http://test.e-taxonomy.eu/cdmserver/phycobank_production/app/registration#!workingset/d547a306-fb43-474d-88df-41a91aedfc29
https://dev.e-taxonomy.eu/redmine/issues/7590

the bug in #7590 has been fixed, please close this issue if the collections codes are found now.

#7 - 08/06/2018 03:25 PM - Wolf-Henning Kusber
- Status changed from Feedback to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Bug is fixed!

Files

PhycoBank-Collection.PNG 43.1 KB 08/02/2018 Wolf-Henning Kusber
